| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiHandles::GaudiHandle Class Reference

Inheritance diagram for GaudiHandles::GaudiHandle:

[legend]
Collaboration diagram for GaudiHandles::GaudiHandle:

[legend]

List of all members.

## Detailed Description

Definition at line 14 of file GaudiHandles.py.

## Public Member Functions
def | __init__
def | __repr__
def | __str__
def | toStringProperty
def | getType
def | getName
def | getGaudiHandle
def | getFullName
## Public Attributes
| typeAndName
## Static Public Attributes
string | componentType = "Unspecified"
| isPublic = True

## Member Function Documentation

def GaudiHandles::GaudiHandle::__init__ | ( |  | self,
|  |  | typeAndName |
| ) |  |  |

Reimplemented in GaudiHandles::PublicToolHandle, GaudiHandles::PrivateToolHandle, and GaudiHandles::ServiceHandle.

Definition at line 18 of file GaudiHandles.py.

    00018                                   :
    00019         object.__init__(self)
    00020         if hasattr(typeAndName,"toStringProperty"):
    00021             # this is a GaudiHandle or equivalent
    00022             typeAndName = typeAndName.toStringProperty()
    00023         if type(typeAndName) != str:
    00024             raise TypeError("Argument to %s must be a string. Got a %s instead" % \
    00025                             ( self.__class__.__name__, type(typeAndName).__name__) )
    00026         self.typeAndName = typeAndName
    00027
        def __repr__(self):

def GaudiHandles::GaudiHandle::__repr__ | ( |  | self | ) |

Definition at line 28 of file GaudiHandles.py.

    00028                       :
    00029         return "%s(%r)" % (self.__class__.__name__,self.toStringProperty())
    00030
        def __str__(self):

def GaudiHandles::GaudiHandle::__str__ | ( |  | self | ) |

Definition at line 31 of file GaudiHandles.py.

    00031                      :
    00032         # FIXME: (Patch #1668) this creates problem with 2.5
    00033         # return "%s:%s" % (self.__class__.__name__, self.toStringProperty())
    00034         return self.toStringProperty()
    00035
    00036     #
        # Several member functions which are the same as Configurables

def GaudiHandles::GaudiHandle::toStringProperty | ( |  | self | ) |

Definition at line 39 of file GaudiHandles.py.

    00039                               :
    00040         return self.typeAndName
    00041
        def getType(self):

def GaudiHandles::GaudiHandle::getType | ( |  | self | ) |

    Get the 'type' part of the \"type/name\" string.

Definition at line 42 of file GaudiHandles.py.

    00042                      :
    00043         """Get the 'type' part of the \"type/name\" string."""
    00044         slash = self.typeAndName.find('/')
    00045         if slash != -1:
    00046             # includes name. Return part before /
    00047             return self.typeAndName[0:slash]
    00048         else:
    00049             # only type is given, return full string
    00050             return self.typeAndName
    00051
        def getName(self):

def GaudiHandles::GaudiHandle::getName | ( |  | self | ) |

    Get the 'name' part of the \"type/name\" string.
    If only a type is given, this will be returned as the name.
    If the \"type/name\" string is empty, it will return an emtpy string.

Definition at line 52 of file GaudiHandles.py.

    00052                      :
    00053         """Get the 'name' part of the \"type/name\" string.
    00054         If only a type is given, this will be returned as the name.
    00055         If the \"type/name\" string is empty, it will return an emtpy string."""
    00056         slash = self.typeAndName.find('/')
    00057         if slash != -1:
    00058             # explicit name. Return part after the /
    00059             return self.typeAndName[slash+1:]
    00060         else:
    00061             # only type is given. return type as default name
    00062             return self.typeAndName
    00063
        def getGaudiHandle(self):

def GaudiHandles::GaudiHandle::getGaudiHandle | ( |  | self | ) |

Definition at line 64 of file GaudiHandles.py.

    00064                             :
    00065         return self
    00066
        def getFullName(self):

def GaudiHandles::GaudiHandle::getFullName | ( |  | self | ) |

Definition at line 67 of file GaudiHandles.py.

    00067                          :
    00068         return self.toStringProperty()
    00069
    class PublicToolHandle(GaudiHandle):

## Member Data Documentation

string GaudiHandles::GaudiHandle::componentType = "Unspecified"`[static]`

Reimplemented in GaudiHandles::PublicToolHandle, GaudiHandles::PrivateToolHandle, and GaudiHandles::ServiceHandle.

Definition at line 15 of file GaudiHandles.py.

GaudiHandles::GaudiHandle::isPublic = True`[static]`

Reimplemented in GaudiHandles::PublicToolHandle, GaudiHandles::PrivateToolHandle, and GaudiHandles::ServiceHandle.

Definition at line 16 of file GaudiHandles.py.

GaudiHandles::GaudiHandle::typeAndName

Definition at line 26 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/GaudiHandles.py